Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmf_x_t Struct Reference

## Data Fields
char * | display_name
char * | window_name
char * | icon_name
Display * | display
Window | root
Window | window
Pixmap | pixmap
Pixmap | hatch
Pixmap | brush
Visual * | visual
int | depth
int | class
Colormap | colormap
unsigned long | black
unsigned long | white
unsigned long * | color
struct {
unsigned long red
unsigned long green
unsigned long blue
} | mask
GC | gc
unsigned int | x_width
unsigned int | x_height
wmfD_Rect | bbox
unsigned long | flags

## Field Documentation

wmfD_Rect _wmf_x_t::bbox

unsigned long _wmf_x_t::black

unsigned long _wmf_x_t::blue

Pixmap _wmf_x_t::brush

int _wmf_x_t::class

unsigned long* _wmf_x_t::color

Colormap _wmf_x_t::colormap

int _wmf_x_t::depth

Display* _wmf_x_t::display

char* _wmf_x_t::display_name

unsigned long _wmf_x_t::flags

GC _wmf_x_t::gc

unsigned long _wmf_x_t::green

Pixmap _wmf_x_t::hatch

char* _wmf_x_t::icon_name

struct { ... } _wmf_x_t::mask

Pixmap _wmf_x_t::pixmap

unsigned long _wmf_x_t::red

Window _wmf_x_t::root

Visual* _wmf_x_t::visual

unsigned long _wmf_x_t::white

Window _wmf_x_t::window

char* _wmf_x_t::window_name

unsigned int _wmf_x_t::x_height

unsigned int _wmf_x_t::x_width

The documentation for this struct was generated from the following file:

- x.h